Bug 808881 - (perl-MetaCPAN-API) Review Request: perl-MetaCPAN-API - Comprehensive, DWIM-featured API to MetaCPAN
Review Request: perl-MetaCPAN-API - Comprehensive, DWIM-featured API to MetaCPAN
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
http://search.cpan.org/dist/MetaCPAN-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-01 09:27 EDT by Iain Arnell
Modified: 2012-05-02 00:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-MetaCPAN-API-0.43-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-30 20:57:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
paul: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Iain Arnell 2012-04-01 09:27:55 EDT
Spec URL: http://fedorapeople.org/~iarnell/review/perl-MetaCPAN-API.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MetaCPAN-API-0.42-1.fc18.src.rpm

Description:
This is a hopefully-complete API-compliant interface to MetaCPAN
(https://metacpan.org) with DWIM capabilities, to make your life easier.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=3954430

*rt-0.10_02
Comment 1 Paul Howarth 2012-04-19 09:05:49 EDT
Quick first pass comments:

* Latest upstream is 0.43

* No point having BR: Test::Perl::Critic unless you also set AUTHOR_TESTING

* No point having BR: Pod::Coverage::TrustPod/Test::Pod/Test::Pod::Coverage
  unless you also set RELEASE_TESTING

* BR: Test::Script isn't really needed because there are no scripts to test

* You don't need to remove empty directories from the buildroot

* Does use of the %{__perl} macro buy us anything?

* Similarly, %{?perl_default_filter} does nothing, but causes no harm either

None of these are blockers so if you like I'll do a formal review of the package as it stands, or if you want to update to the latest upstream I'll wait until then.

I just updated my local upstream release monitoring script to use this module.
Comment 2 Iain Arnell 2012-04-19 10:08:22 EDT
Thanks, Paul. Updated to 0.43, enabled author/release tests, dropped Test::Script BR, and stopped removing empty directories.


Spec URL: http://fedorapeople.org/~iarnell/review/perl-MetaCPAN-API.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-MetaCPAN-API-0.43-1.fc18.src.rpm

Koji build: https://koji.fedoraproject.org/koji/taskinfo?taskID=4005561
Comment 3 Paul Howarth 2012-04-19 10:52:21 EDT
Review for perl-MetaCPAN-API
============================

- rpmlint clean
- package and spec file naming OK
- package meets guidelines
- license is OK for Fedora, matches upstream, and LICENSE file is packaged
- spec file written in English and is legible
- source tarball matches upstream
- package builds OK in mock for F-16..F-18 (x86_64 [noarch])
- package tested and works OK in F-16 x86_64
- --with network-tests build option works as advertised
- buildreqs sufficient and not redundant
- no locales, libraries, devel files to worry about
- not intended to be relocatable
- no duplicate files or directory ownership issues
- permissions sane
- macro usage is consistent
- code, not content
- no large docs to consider
- docs don't affect runtime
- not a GUI app, no .desktop file needed
- all filenames are plain ASCII
- no scriptlets present or needed
- no file dependencies

Requires
--------
perl(:MODULE_COMPAT_5.14.2)  
perl(Any::Moose)  
perl(Carp)  
perl(HTTP::Tiny)  
perl(JSON)  
perl(Try::Tiny)  
perl(URI::Escape)  
perl(strict)  
perl(warnings)  
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

Provides
--------
perl(MetaCPAN::API) = 0.43
perl(MetaCPAN::API::Author) = 0.43
perl(MetaCPAN::API::Module) = 0.43
perl(MetaCPAN::API::POD) = 0.43
perl(MetaCPAN::API::Release) = 0.43
perl(MetaCPAN::API::Source) = 0.43
perl-MetaCPAN-API = 0.43-1.fc18

Nothing to quibble about here.

APPROVED.
Comment 4 Iain Arnell 2012-04-19 12:23:31 EDT
New Package SCM Request
=======================
Package Name: perl-MetaCPAN-API
Short Description: Comprehensive, DWIM-featured API to MetaCPAN
Owners: iarnell
Branches: f16 f17
InitialCC: perl-sig
Comment 5 Gwyn Ciesla 2012-04-19 12:41:47 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-04-19 13:10:40 EDT
perl-MetaCPAN-API-0.43-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-MetaCPAN-API-0.43-1.fc17
Comment 7 Fedora Update System 2012-04-19 13:10:51 EDT
perl-MetaCPAN-API-0.43-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-MetaCPAN-API-0.43-1.fc16
Comment 8 Fedora Update System 2012-04-19 22:27:01 EDT
perl-MetaCPAN-API-0.43-1.fc17 has been pushed to the Fedora 17 testing repository.
Comment 9 Fedora Update System 2012-04-30 20:57:18 EDT
perl-MetaCPAN-API-0.43-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 10 Fedora Update System 2012-05-02 00:56:10 EDT
perl-MetaCPAN-API-0.43-1.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.